#pragma once
#include "State.h"
#include "DirectX9App.h"

class DirectX9Game;

class GameStateMenuMain : public State<DirectX9Game>
{
	RECT m_ButtonStart;
	RECT m_ButtonQuit;
	RECT m_ButtonCredits;
	RECT m_ButtonHighScore;
	enum MainMenuSelection { MainNone, MainQuit, MainStart, MainCredits, MainHighScore };
	MainMenuSelection m_Selection;
	MainMenuSelection m_SelectionLast;

	GameStateMenuMain();
	GameStateMenuMain(GameStateMenuMain& state){}
	void operator= (GameStateMenuMain& state){}
public:
	~GameStateMenuMain();

	static GameStateMenuMain* Instance();
	void Enter(DirectX9Game*);
	void Execute(DirectX9Game*, float dt);
	void Render(DirectX9Game*);
	void Exit(DirectX9Game*);
};