//	Actor.h - Base Class for all Game Objects

#pragma once

struct Telegram;

class Actor
{
protected:
	int m_ID;
public:
	Actor(int ID):m_ID(ID){}
	int  GetID(){return m_ID;}
	virtual void ReceiveMessage(Telegram incoming) = 0;
	virtual void Update(float dt) = 0;
	virtual void Render() = 0;
};


