#pragma once
#include "StateMachine.h"
#include "GameStatePlaying.h"
#include "GameStateMenuMain.h"
#include "GameStateMenuGameOver.h"
#include "AssetManager.h"
#include "ActorManager.h"

class DirectX9Game
{
	StateMachine<DirectX9Game> m_StateMachine;
	int						   m_PlayerScore;
	
	DirectX9Game():m_StateMachine(this, nullptr, nullptr, nullptr)
	{
		m_StateMachine.SetCurrentState(GameStateMenuMain::Instance());
	}

	DirectX9Game(DirectX9Game&):m_StateMachine(this, nullptr, nullptr, nullptr){}
	void operator=(DirectX9Game&){}

public:


	StateMachine<DirectX9Game>* GetFSM(){return &m_StateMachine;}
	void Update(float dt){ m_StateMachine.Update(dt);}
	void Render(){ m_StateMachine.Render(); }
	static DirectX9Game* Instance();
	void AddScore(int score){m_PlayerScore += score;};
	int GetScore(){return m_PlayerScore;}
	void ResetGame();
};