#pragma once
#include "State.h"
#include "DirectX9Game.h"
#include <map>
#include <sstream>

#define DATA_FILE "High_Score.dat"

class GameStateHighScore : public State<DirectX9Game>
{
	std::map<int, std::string> m_ScoreData;
	bool	m_AddingScore;
	std::stringstream m_Input;
			
	GameStateHighScore();
	GameStateHighScore(GameStateHighScore& state){}
	void operator= (GameStateHighScore& state){}
public:

	~GameStateHighScore();
	static GameStateHighScore* Instance();	
	void Enter(DirectX9Game* owner);
	void Execute(DirectX9Game* owner, float dt);
	void Render(DirectX9Game* owner);
	void Exit(DirectX9Game* owner);
};