#pragma once
#include "State.h"
#include "DirectX9App.h"

class DirectX9Game;

class GameStateMenuGameOver : public State<DirectX9Game>
{
	RECT m_ButtonRestart;
	RECT m_ButtonQuit;
	enum GameOverMenuSelection { GameOverNone, GameOverQuit, GameOverRestart };
	GameOverMenuSelection m_Selection;
	GameOverMenuSelection m_SelectionLast;

	GameStateMenuGameOver();
	GameStateMenuGameOver(GameStateMenuGameOver& state){}
	void operator= (GameStateMenuGameOver& state){}
public:
	~GameStateMenuGameOver();

	static GameStateMenuGameOver* Instance();
	void Enter(DirectX9Game*);
	void Execute(DirectX9Game*, float dt);
	void Render(DirectX9Game*);
	void Exit(DirectX9Game*);
};