//PlayerTank.h - Player Tank controller

#pragma once

#include "Tank.h"
#include "Actor.h"
#include "Messenger.h"

class PlayerTank : public Actor
{
	Tank m_Tank;
	int m_Health;
	static const int m_MaxHealth;

public:
	PlayerTank(int ID);
	void Update(float dt);
	void Render();
	void ReceiveMessage(Telegram incoming);
	Tank* GetTank(){return &m_Tank;}
	int GetHealth(){return m_Health;}
	void AdjustHealth(int amount){m_Health += amount;}
};